var entry = window.arguments[0];
var cqrMainCoUnits = window.arguments[1];
var cqrDumpQuery = '';
var cqrDumpPage =  '';
var cqrDumpPref =  '';
var cqrDumpBase =  '';

function cqrDumpInit(){
    cqrDumpQuery = document.getElementById('queryTxt');
    cqrDumpPage = document.getElementById('pageTxt');
    cqrDumpPref = document.getElementById('prefTxt');
    cqrDumpBase = document.getElementById('baseTxt');
    fillDumpQuery();
    fillDumpPage();
    fillDumpPref();
    fillDumpBase();
}


function fillDumpQuery(){
    cqrDumpQuery.value = 'Not implemented yet';
}
function fillDumpPage(){
    cqrDumpPage.value = 'Not implemented yet';
}
function fillDumpPref(){
    cqrDumpPref.value = 'Not implemented yet';
}
function fillDumpBase(){
    var info = '';
    for (var each in entry) {
        if (each.substr(0,1) == '_') continue;
        if (entry[each] == null) {
            info += '\n' + each + ':             null';
            continue;
        }
        if (entry[each].constructor.toString().indexOf("String") > -1){
            info += '\n' + each + ':             ' + entry[each];
        } else {
            info += '\n' + each + ':             ' + entry[each] + ' ' + entry[each].toSource();
        }
        if ((each == 'Inputs') && entry.Inputs){
            info += '\n-----------\nInputs are:';
            var inputs = entry.Inputs;
            var icnt = 0;
            for (var input in inputs){
                icnt += 1;
                info += '\n<Input ' + icnt + '>:'
                for (var prop in inputs[input]){
                    info += '\n    ' + prop + ': ' + inputs[input][prop];
                }
            }
            info += '\n-----------'
        }
    }
    cqrDumpBase.value = info;
    //cqrDumpBase.value = 'Not implemented yet';
}
