var cqr_browser = "";
var cqrOpenTarget = "";

// Hotmenu globals
var cqrMiddleClickMouseUp = false;
var cqrHotMenuShown = false;
var cqrHotMenuDelayThreadsRunning = [];


var cqrAction = "";
var cqrActionPrompt = "";
var cqrConfigLastWillId = "";
var cqrConfigLastWillCtrl = false;
var cqrTabRef = "";
var cqrWndRef = "";
var cqrEntryId = "";    // this stores then entry id in case
                        // we need to do an extra round-trip
                        // waiting for the sidebar to finish loading

var cqrFillMenuRunning = '';

//Shadow912: patch for multi search site query,
//  suggested/base idea by Aleksey Kosterin.
//  selected strings for multi search site query with configuration
var cqrSelStrForMulti = "";
//  cqrOpenTarget's array
var cqrOpenTargetArray = new Array();
//Eof patch


//Inits
conQueryInit();

function conQueryInit(){
    if (cqrMailFlag){
        try {
            cqr_browser = getMessageBrowser();
        } catch (err) {
            //XXX for TB message compose pane. Later
            cqr_browser  = document.getElementById('content-frame');
        }
        //Shadow912: patch for nominated word disappearing,
        //  error occurring problem, Bugzilla Bug #433690
        //NOTICE! this patch is TENTATIVE!!
        //comment outed, Fix Thunderbird 3
        //if (cqrEnv.no_popupshowingOnComposeMessage){
        //  cqrLog.err("pref. extensions.conquery.Main.no_popupshowingOnComposeMessage", cqrEnv.no_popupshowingOnComposeMessage);
        //  preventpopupshowing();
        //}
        //Eof patch
    }else{
        var navUA = navigator.userAgent.toString();
        if (navUA.search('SeaMonkey')<0){
            cqr_browser = document.getElementById("content");
            //cqr_browser = getBrowser();
        //Shadow912: patch
        //does not use cqrPopupFactorX/Y, comment outed
        //} else {
        //    cqrPopupFactorX = 0;
        //    cqrPopupFactorY = 0;
        }
    }
}

//Shadow912: patch for nominated word disappearing,
//  error occurring problem, Bugzilla Bug #433690
//NOTICE! this patch is TENTATIVE!!
//prevent popupshowing event on msgComposeContext menu
//original code written by 'A', THANKS!
//  http://forum.mozilla.gr.jp/?mode=all&namber=41573&type=0&space=0&
//NOTICE! all popupshowing events are prevented on root
//comment outed, Fix Thunderbird 3
//function preventpopupshowing() {
//  window.addEventListener("load", function() {
//    const menuId = "msgComposeContext";
//    const eventName = "onpopupshowing";
//    var p = document.getElementById(menuId);
//    if (p) {
//      var a = p.getAttribute(eventName);
//      if (a) {
//        p.setAttribute(eventName, "if (event.target != this) return;" + a);
//      }
//    }
//  }, false);
//}
//Eof patch

//Tools menu handler
function cqrHandleToolsMenu(event){
try{
    if (event.target.childNodes[0] && 
       (event.target.childNodes[0].id == "menu_ToolsPopup" || 
        event.target.childNodes[0].id == "taskPopup")){
        var cqr_cfg = window.document.getElementById('cq-cfg-menu');
        //This will require restarting, but perfomance is important :)
        if (cqr_cfg) cqr_cfg.hidden = cqrEnv.HideFromTools;
  }
}catch(err){cqrLog.err(err, "cqrHandleToolsMenu sub")}
}


document.addEventListener("contextmenu", cqrHandleContextMenu, true);
document.addEventListener("DOMMenuItemActive", cqrHandleToolsMenu, true);


//document.addEventListener("dblclick", 
//    function(event){
//        cqrPref.updateMain();
//        if (event.button==0 
//            && cqrEnv.UseHotMenu 
//            && cqrEnv.UseMiddleClickForHM
//            && event.explicitOriginalTarget.nodeName != 'tabbrowser'
//            ) {
//            
//            cqrLog.warn('Running double! ' + event.target.nodeName);
//            document.popupNode = event.target;
//            eventX = event.clientX;
//            eventY = event.clientY+10; 
//            getPageParams(event);
//            cqrShowHotmenu('yes', eventX, eventY);
//        }
//    }, false);



document.addEventListener("mousedown", 
    function(event){
        //if (!event.button==1) return;
        if (event.button==1 
            && cqrEnv.UseHotMenu 
            && cqrEnv.UseMiddleClickForHM
            && event.explicitOriginalTarget.nodeName != 'tabbrowser'
            ) {
            if (cqrHotMenuDelayThreadsRunning.length == 0) {
                cqrMiddleClickMouseUp = false;
            }
            cqrMiddleClickMouseUp = false;
            cqrHotMenuDelayThreadsRunning.push('');
            document.popupNode = event.target;
            var eventX = event.clientX;
            var eventY = event.clientY; 
            getPageParams(event);

            // will open popup after delay if the middle mouse button wasn't released
            setTimeout(function() {
                if (!cqrMiddleClickMouseUp && cqrHotMenuDelayThreadsRunning.length < 2){
                    cqrHotMenuShown = true;
                    //Shadow912: patch for on the Fx 2/3, Tb 2/3,
                    //  does not disappearing contextmenu,
                    //  when M-click on the contextmenu
                    const FXCAMID = "contentAreaContextMenu";
                    const TBMPMID = "messagePaneContext";
                    const TBMCMID = "msgComposeContext";
                    const SMXXMID = "editorContentContext";
                    var parentNodeId = event.target.parentNode.id;
                    var parentNodeName = event.target.parentNode.nodeName;
                    if (parentNodeId == FXCAMID || parentNodeId == TBMPMID ||
                        parentNodeId == TBMCMID || parentNodeId == SMXXMID) {
                      event.target.parentNode.hidePopup();
                    } else if (parentNodeName == "popup" ||
                               parentNodeName == "menupopup") {
                      recursiveHidePopup(event.target);
                    }
                    //Eof patch
                    cqrShowHotmenu('yes', eventX, eventY);
                    
                    // and will close popup after a while if button isn't released
                    //if (cqrEnv.MiddleClickHidems != 0) {
                        setTimeout(function() {
                            if (!cqrMiddleClickMouseUp) {
                                var hotmenu = window.document.getElementById("cq-hotmenu");
                                cqrHotMenuShown = false;
                                //cqrLog.warn('Pynk!!!' + cqrMiddleClickMouseUp);
                                hotmenu.hidePopup();
                            }
                        }, cqrEnv.MiddleClickHidems)
                    //}
                }
            cqrHotMenuDelayThreadsRunning.pop();
            }, cqrEnv.MiddleClickDelayms)
        }
    }, true);

window.addEventListener("mouseup",
    function(event){
        if (cqrEnv.UseMiddleClickForHM && event.button==1){
            //cqrLog.warn('Clack!!');
            cqrMiddleClickMouseUp = true;
        }
    }, true);


window.addEventListener("click",
    function(event){
        if (event.button==1 &&
            cqrEnv.UseHotMenu &&
            cqrEnv.UseMiddleClickForHM){
            if (cqrHotMenuShown == true) {
                event.preventDefault();
                //event.preventBubble();
                //event.preventCapture();
                event.stopPropagation();
                cqrHotMenuShown = false;
                //return false;
            }
            cqrMiddleClickMouseUp = true;
        }
    }, true);


function cqrHandleContextMenu(event){
try{
  getPageParams(event);

  var kShift = "";
  if (event.shiftKey || event.ctrlKey ){kShift = "yes"}
  
  //cqrPref.updateMain();
  if ((kShift) && (cqrEnv.UseHotMenu) && cqrEnv.UseCtrlForHM){
    var eventX = event.clientX;
    var eventY = event.clientY; 

    document.popupNode = event.target;
    event.preventDefault();
    //Shadow912: patch for
    //  on the Fx 3, appearing contextmenu when Ctrl/Shift + R-click 
    event.stopPropagation();
    //Eof patch
    //Shadow912: patch for on the Fx 2/3, Tb 2/3, does not disappearing
    //  contextmenu when Ctrl/Shift + R-click on the contextmenu
    const FXCAMID = "contentAreaContextMenu";
    const TBMPMID = "messagePaneContext";
    const TBMCMID = "msgComposeContext";
    const SMXXMID = "editorContentContext";
    var parentNodeId = event.target.parentNode.id;
    var parentNodeName = event.target.parentNode.nodeName;
    if (parentNodeId == FXCAMID || parentNodeId == TBMPMID ||
        parentNodeId == TBMCMID || parentNodeId == SMXXMID) {
      event.target.parentNode.hidePopup();
    } else if (parentNodeName == "popup" ||
               parentNodeName == "menupopup") {
      recursiveHidePopup(event.target);
    }
    //Eof patch
    cqrShowHotmenu(kShift, eventX, eventY);
  } else {
    FillMainMenu();
  }
}catch(err){cqrLog.err(err, 'ContextMenu handler')}
}

/// HotMenu. Idea and early realizations made by Henrik Gulbrandsen.
function cqrShowHotmenu(kShift, x, y, trg){
try{
  var hotmenu = window.document.getElementById("cq-hotmenu");
  if (!hotmenu) {
    hotmenu = window.document.createElement("menupopup");
    hotmenu.id = "cq-hotmenu";
    window.document.documentElement.appendChild(hotmenu);
  }
  //hotmenu.position = 'at_pointer'; //at_pointer
  var e = new Object();
  e.target = new Object();
  e.target.id = 'cq-ppm';
  FillMenu3(kShift, cqrFS.menuRootId, e);
  if(!cqr_browser) cqr_browser = getBrowser();
  hotmenu.showPopup(cqr_browser, x, y, "context","bottomleft","topleft");
}catch(er){cqrLog.err(er, "cqrShowHotmenu sub")}
}

function FillMainMenu(){
    try{
        //cqrPref.updateMain();
        var doc = window.document;
        if (cqrMailFlag) {
            //Shadow912: patch for Compose Meesage of Thunderbird
            //var bContextMenu = doc.getElementById("messagePaneContext") || doc.getElementById("editorContentContext");
            var bContextMenu = doc.getElementById("messagePaneContext") ||
                               doc.getElementById("editorContentContext") ||
                               doc.getElementById("msgComposeContext"); //for Tb
            //EOf patch
        } else {
            var bContextMenu = doc.getElementById("contentAreaContextMenu");
        }
        
        var cqmenu = doc.getElementById("cq-menu");
        cqmenu.hidden = cqrEnv.HideQueryTo;
        cqrMenu.cleanupMenu(bContextMenu.id);
    
        if (cqrEnv.MainContextLimit > 0){
            bContextMenu.insertBefore(crtSeparator(doc), cqmenu);
            var entries = cqrFS.getIndexedDirEntries(cqrFS.menuRootId);
            if (cqrEnv.ShowCSPInMainMenu) {
                cqrMenu.fill(entries, 0, cqrEnv.MainContextLimit, bContextMenu, cqmenu, true)
                cqrMenu.fillWithHiddenContextOnly(entries, bContextMenu, cqmenu);
            } else {
                cqrMenu.fill(entries, 0, cqrEnv.MainContextLimit, bContextMenu, cqmenu, false)
            }
        }
    }catch(er){cqrLog.err(er, "FillMainMenu sub")}
}


function FillMenu3(kShift, dirId, event){
    if (event.target.id == 'cq-ppm') {
        if (dirId != cqrFS.menuRootId){
            return;
        }
    } else {
        if (dirId != event.target.id) {
            return;
        }
    }
    
try{
    if (cqrFillMenuRunning == dirId){
        //Strange bug with doubling menuitems on some circumstances
        //http://conquery.geek.net.ru/support/viewtopic.php?id=3
        cqrLog.warn("FillMenu already running. Exiting..");
        return;
    }
    cqrFillMenuRunning = dirId;
    var ppMenu = new Object();
    var startIndex = 0;
    var doc = window.document;
    var updated = false;
    var recommend = [];
    //cqrPref.updateMain();
    
    var entries = cqrFS.getIndexedDirEntries(dirId);
    if (dirId == cqrFS.menuRootId){
        if ((kShift) && (cqrEnv.UseHotMenu)) {
            //Hotmenu popup
            var ppMenu = doc.getElementById("cq-hotmenu");
            //cleanupMenu("cq-hotmenu");
            //cleanupMenu("contentAreaContextMenu");
        } else {
            //"Query to.." pupup
            var ppMenu = doc.getElementById("cq-ppm");
            //cleanupMenu("cq-ppm");
            if (cqrEnv.MainContextLimit) startIndex = cqrEnv.MainContextLimit;
        }
    } else {
        var ppMenu = doc.getElementById(dirId);
    }

    var hasEntries = 0;
    cqrMenu.cleanupMenu(ppMenu.id);

    if ((ppMenu.id == "cq-ppm") && cqrEnv.ShowCSPInMainMenu) {
        hasEntries = cqrMenu.fill(entries, startIndex, 0, ppMenu, null, true)
    } else {
        hasEntries = cqrMenu.fill(entries, startIndex, 0, ppMenu, null, false)
    }

    if (!hasEntries) {
        var mItem = doc.createElement("menuitem");
        mItem.setAttribute("class", "menuitem-iconic");
        mItem.setAttribute("label", cqrMess.GetStringFromName('cqr.menu.NoPluginsFound'));
        //mItem.setAttribute("tooltiptext", cqrMess.GetStringFromName('cqr.menu.plgToolTip'));
        mItem.setAttribute("tooltiptext", cqrMess.GetStringFromName('cqr.menu.ClickToConfigure'));
        mItem.setAttribute("oncommand", "OpenCfgDialog();");
        mItem.setAttribute("conquery_flag", "conquerySet");
        ppMenu.appendChild(mItem);
    }
    cqrFillMenuRunning = '';
}catch(er){
    cqrLog.err(er, "FillMenu3");
    cqrFillMenuRunning = '';
}
}                   

//Shadow912: patch
//does not use this funcion
//comment outed
//function cleanupMenu(MenuId){
//    var mToClean = window.document.getElementById(MenuId);
//    if (!mToClean) return;
//    var entriesTrash = [];
//    for (var i=0; i < mToClean.childNodes.length; i++){
//        if (mToClean.childNodes[i].getAttribute("conquery_flag")!=""){
//            entriesTrash.push(mToClean.childNodes[i]);
//        }
//    }
//    for (var each in entriesTrash) mToClean.removeChild(entriesTrash[each]);
//}
//Eof patch

function crtSeparator(doc){
    var retItem = doc.createElement("menuseparator");
    retItem.setAttribute("conquery_flag", "conquery");
    return retItem;
}


//function detecttrg(evnt){
// if (evnt.originalTarget.localName == "menuseparator") FillMenu(false,true);
//}

//Shadow912: patch for query strings of URI, RFC 3986
function isAsciiQueryStr(str){
  ////query characters excepted percent encoded of URI, RFC 3986 
  //var regQueryChars = /^[!\$&\'\(\)\*\+,\-\.\/0-9:;=@\?A-Z_a-z~]+$/;
  //query characters with percent encoded of URI, RFC 3986 
  var regQueryChars
  = /^([!\$&\'\(\)\*\+,\-\.\/0-9:;=@\?A-Z_a-z~]|%[0-9A-Fa-f][0-9A-Fa-f])+$/;
  //Can't use POSIX 1003.2's special character class...
  //= /^([!\$&\'\(\)\*\+,\-\.\/:;=@\?_~[:alnum:]]|%[[:xdigit:][:xdigit:]])+$/;
  return regQueryChars.test(str);
}
//EOf patch

//Shadow912: patch for multi quereis's target
//function ProcessEntry(ctrl, EntryId){
function ProcessEntry(ctrl, EntryId, multiQuery){
//Eof patch
    var entry = cqrFS.getCachedFile(EntryId);
    if (ctrl) cqrShowAlternatives = true;
    
    PrepareAction(entry, ctrl);
    if (cqrcancel){
        resetenv();
        return;
    }

    if (cqrMailFlag){
        //if working under Thaunderbird or Mozilla Mail, there is no way to POST data
        //so, will convert it to URL-encoded and open as external link. 
        //P.S. Well, actually, Mozilla Mail can do the POST, but sorry: it is 
        //too complex to work with MM and TB separately.
        try{
            if (entry.Action){
                var cqrurl = cqrAction;
            } else {
                var cqrurl = entry.Action;
            }
            //Shadow912: patch for PATH_INFO format URL
            var firstpath = true;
            for (var each in PathArray) {
              if (firstpath) {
                cqrurl += PathArray[each];
                firstpath = false;
              } else {
                cqrurl += "/" + PathArray[each];
              }
            }
            //Eof patch
            var firstpass = true;
            for (each in QueryHash){
              //Shadow912: patch for InputEncoding/queryCharset
              //Shadow912: patch for query strings of URI, RFC 3986
              //bug fix patch for {searchTerms} with option strings
              //if (each == QueryTermsName || !isAsciiQueryStr(QueryHash[each])){
              if (each == QueryTermsName){
                var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
                          getService(Components.interfaces.nsITextToSubURI);
                //bug fix patch for {searchTerms} with option strings
                var tmpTerms = QueryHash[each];
                var regTERMS = /\{searchTerms\}|(?:\{|\[\:)selection(?:\}|\])/;
                //Bug fix...
                var regPARMS = /(?:\{|\[\:)\w+(?:\}|\])/;
                var optStr = entry.Inputs[each].def.value.split(regTERMS);
                if (optStr[0]) {
                  tmpTerms = tmpTerms.split(optStr[0])[1];
                  //Bug fix...
                  if (regPARMS.test(optStr[0]))
                    optStr[0] = "";
                }
                if (optStr[1]) {
                  tmpTerms = tmpTerms.split(optStr[1])[0];
                  //Bug fix...
                  if (regPARMS.test(optStr[1]))
                    optStr[1] = "";
                }
                for (var k = 0; k < optStr.length; k++) {
                  if (optStr[k] && !isAsciiQueryStr(optStr[k]))
                    optStr[k] = cnv.ConvertAndEscape(entry.qcharset, optStr[k]);
                }
                //bug fix patch for {searchTerms} with option strings
                //QueryHash[each] = cnv.ConvertAndEscape(entry.qcharset, QueryHash[each]);
                tmpTerms = cnv.ConvertAndEscape(entry.qcharset, tmpTerms);
                QueryHash[each] = optStr[0] + tmpTerms + optStr[1];
              }
              //bug fix patch for {searchTerms} with option strings
              if (!isAsciiQueryStr(QueryHash[each])){
                var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
                          getService(Components.interfaces.nsITextToSubURI);
                QueryHash[each] = cnv.ConvertAndEscape(entry.qcharset, QueryHash[each]);
              }
              //EOf patch
              //Shadow912: convert SPC to percent encoding
              if (each == QueryTermsName && entry.cnvSpcToPEnc) {
                QueryHash[each] = QueryHash[each].replace(/\+/g, "%20");
              }
              //EOf patch
                if (firstpass){
                    cqrurl = cqrurl + "?" + each + "=" + QueryHash[each];
                    firstpass = false;
                } else {
                    cqrurl = cqrurl + "&" + each + "=" + QueryHash[each];
                }
            }
            var mess = Components.classes["@mozilla.org/messenger;1"].getService(Components.interfaces.nsIMessenger);
            //mess.launchExternalURL(encodeURI(cqrurl));
            //Shadow912: patch for InputEncoding/queryCharset
            mess.launchExternalURL(cqrurl);
            //EOf patch
            resetenv();
            return;
        }catch(er){cqrLog.err(er, "ProcessEntry sub (mail)")}
    }
    
    //Shadow912: patch for multi quereis's target
    //cqrOpenTarget = getOpenTarget(entry, EntryId);
    cqrOpenTarget = getOpenTarget(entry, EntryId, multiQuery);
    //Eof patch
    if(cqrOpenTarget) {
        //Shadow912: patch for multi search site query
        //store target tab to array
        if (multiQuery && (cqrEnv.OpenResMulti == 'tab_bg' ||
                           cqrEnv.OpenResMulti == 'tab_fg'))
          cqrOpenTargetArray.push(cqrOpenTarget);
        //window.setTimeout('formIt("'+ EntryId + '");', 70);
        //window.setTimeout(formIt, 70, EntryId, cqrOpenTarget);
        formIt(EntryId, cqrOpenTarget);
        //Eof patch
    }
}

//Shadow912: patch for multi quereis's target
//function getOpenTarget(item, EntryId){
function getOpenTarget(item, EntryId, multiQuery){
//Eof patch
try{
    if(!cqr_browser) cqr_browser = getBrowser();
    //This returns window or tab object for query proccessing according to user settings
    //related to "open results in.." pref.
    
    //Hack for forced opening in targets, other than defined in general settings
    //Shadow912: patch for multi quereis's target
    //var useTargetForOpen = item.forcein || cqrEnv.OpenRes || "tab_bg";
    if (multiQuery) {
      var useTargetForOpen = item.forcein || cqrEnv.OpenResMulti || "tab_bg";
    } else {
      var useTargetForOpen = item.forcein || cqrEnv.OpenRes || "tab_bg";
    }
    //Eof patch

    //Shadow912: patch
    //does not use "Force in Sidebar" feature, comment outed
    //The "Force in Sidebar" feature was suggested and
    //developed by Jan Sch?nherr (janschh at users.sourceforge.net)
    //if (useTargetForOpen == "sidebar"){
        // open the sidebar
    //    if (openWebPanel(item.Title,"about:blank")) { //openWebPanel lives in main.js
            // [[following code structure loosly based on
            // chrome://browser/content/browser.js -> openWebPanel() ]]
    //        cqr_sidebar = document.getElementById("sidebar");
    //        if( cqr_sidebar.contentDocument && cqr_sidebar.contentDocument.getElementById("web-panels-browser") ){
                // sidebar already open...
    //            if ( cqrEntryId ){
    //            cqrEntryId = "";
    //            cqr_sidebar.removeEventListener("load",asyncGetOpenTarget,true);
    //            }
    //            return cqr_sidebar.contentDocument.getElementById("web-panels-browser");
    //        } else {
                // sidebar still loading... take an extra round-trip
    //            if ( !cqrEntryId )
    //            cqr_sidebar.addEventListener("load",asyncGetOpenTarget, true);
    //            cqrEntryId = EntryId;
    //            return null;
    //        }
    //    } else {
    //        useTargetForOpen = cqrEnv.OpenRes;
    //    };
    //}
    //Eof patch

    if (useTargetForOpen == "same_win") {
        return cqr_browser.selectedTab;
    } else if ((useTargetForOpen == "win_fg") || (useTargetForOpen == "win_bg") || (item.openwin)) {
        if (item.opentarget){
            //If plugin has "opentarget" param, then we should enumerate all windows
            //and possibly all tabs inside them looking for already opened target window
            var windowManager = Components.classes['@mozilla.org/appshell/window-mediator;1'].
                getService(Components.interfaces.nsIWindowMediator);
            var enumerator = windowManager.getEnumerator(null);
            while (enumerator.hasMoreElements()) {
                var newBrowser = enumerator.getNext().getBrowser();
                var newWin = newBrowser.contentWindow;
                //If user has more then one tab opened in window, 
                //our target tab may be not focused:
                var cntTabs = newBrowser.mTabContainer.childNodes.length;
                for (var i=0;i<cntTabs;i++){
                    var nextTab = newBrowser.mTabContainer.childNodes[i];
                    var newTabBr = newBrowser.getBrowserForTab(nextTab);
                    if (newTabBr.contentWindow.name == item.opentarget){
                        if (cqrEnv.OpenRes == "win_bg") window.focus();
                        else newWin.focus();
                        return newTabBr.contentWindow; 
                    }
                }
            }
        //EOf "opentarget" processing
        }
        var target = window.open("about:blank", item.opentarget, item.openwin);
        if (useTargetForOpen == "win_bg") window.focus();
        else target.focus();
        return target;
    } else if ((useTargetForOpen == "tab_fg") || (useTargetForOpen == "tab_bg")){
        if (item.opentarget){
            //enumerating all open tabs checking for "cqr_name" custom property defined by ConQuery
            //if there is an "opentarget" in plugin
            var cntTabs = cqr_browser.mTabContainer.childNodes.length;
            for (i=0;i<cntTabs;i++){
                var myTab = cqr_browser.mTabContainer.childNodes[i];
                if (myTab.cqr_name == item.opentarget){
                    if (useTargetForOpen == "tab_fg") cqr_browser.selectedTab = myTab;
                    return myTab;
                }
            }
        }
        
        var focusedWindow = document.commandDispatcher.focusedWindow;
        //FF2.0 gives error here "malformed URI" on URIs with BASE64 encoded characters
        //will try to live without this
        //var url = decodeURIComponent(focusedWindow.location.href);
        var url = focusedWindow.location.href;
        //Shadow912: patch for multi quereis's target
        //check blank tab, real blank or for multi query
        //if (url == 'about:blank'){
        if (url == 'about:blank' && !cqr_browser.selectedTab.cqrMultiQuery){
        //Eof patch
            //just little feature: load query in the same tab if that tab is empty
            //XXX should we set "cqr_name" for "opentarget" here? IMO shouldn't
            //myTab.cqr_name = item.opentarget;
            myTab = cqr_browser.selectedTab;
            //Shadow912: patch for multi quereis's target
            //set Multi Query flag to tab
            if (multiQuery) myTab.cqrMultiQuery = true;
            //Eof patch
            return myTab;
        } else {
            myTab = cqr_browser.addTab();
            myTab.cqr_name = item.opentarget;
            //Shadow912: patch for multi quereis's target
            //set Multi Query flag to tab
            if (multiQuery) myTab.cqrMultiQuery = true;
            //Eof patch
            if (useTargetForOpen == "tab_fg") cqr_browser.selectedTab = myTab;
            return myTab;
        }
    }
}catch(err){cqrLog.err(err, 'getOpenTarget sub')}
  return null; 
}

//Shadow912: patch
//does not use "Force in SidePanel", comment outed
//function asyncGetOpenTarget(event){
//    var cqr_sidebar = document.getElementById("sidebar");
//    if (cqrEntryId && cqr_sidebar.contentDocument && cqr_sidebar.contentDocument.getElementById('web-panels-browser')) {
//        cqrOpenTarget = cqr_sidebar.contentDocument.getElementById("web-panels-browser");
//        window.setTimeout('formIt("'+ cqrEntryId + '");', 70);
//    }
//    cqrEntryId = "";
//    cqr_sidebar.removeEventListener("load", asyncGetOpenTarget, true);
//}
//Eof patch

//Shadow912: patch for multi quereis's target
//function formIt(EntryId){
function formIt(EntryId, Target){
  if (!Target) var cqrTarget = cqrOpenTarget;
  else cqrTarget = Target;
//Eof patch
    //var entry = cqrFS.getCachedFile(EntryId);
    var entry = cqrFS.cachedItems[EntryId];
    if (cqrTarget.document){
        //this is an window obj
        var doc = cqrTarget.document;
        var newBrowser = cqrGetBrowserForWindow(cqrTarget);
        //show(newBrowser);
    } else if (cqrTarget.contentDocument){
    	//this is already a browser object (used by sidebar-support)
        newBrowser = cqrTarget;
        doc = newBrowser.contentDocument;
    } else {
        //this is a tab obj
        newBrowser = cqr_browser.getBrowserForTab(cqrTarget);
        doc = newBrowser.contentDocument;
    }

    //show("charset>>>"+cqrCurPageCharset);
    
    //if (entry.referrer){
        //I'm too dumb to figure out how to spoof referrer under Moz other then with window.open() :(
        //The problem is that I have the window already opened while processing query. So to spoof a
        //referrer I should somehow hack the window.location object.
        //Well, later, maybe.
    //}

    //Shadow912: patch for PATH_INFO format URL
    if (cqrAction && entry.PathInfo) {
      var firstpath = true;
      for (var each in PathArray) {
        if (firstpath) {
          cqrAction += PathArray[each];
          firstpath = false;
        } else {
          cqrAction += "/" + PathArray[each];
        }
      }
    }
    //Eof patch

    if ((cqrAction) && (!entry.Inputs)){
        //treat query plugins without any <input> tag as simple link
        newBrowser.loadURI(cqrAction);
        resetenv();
        return;
    }

    //Shadow912: patch for query strings of URI, RFC 3996
    //ONLY GET method
    if (entry.Method == "GET") {
      if (entry.Action){
        var cqrurl = cqrAction;
      } else {
        var cqrurl = entry.Action;
      }
      var firstpass = true;
      for (each in QueryHash){
        //Shadow912: patch for InputEncoding/queryCharset
        //Shadow912: patch for query strings of URI, RFC 3986
        //bug fix patch for {searchTerms} with option strings
        //if (each == QueryTermsName || !isAsciiQueryStr(QueryHash[each])){
        if (each == QueryTermsName){
          var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
            getService(Components.interfaces.nsITextToSubURI);
          //bug fix patch for {searchTerms} with option strings
          var tmpTerms = QueryHash[each];
          var regTERMS = /\{searchTerms\}|(?:\{|\[\:)selection(?:\}|\])/;
          //Bug fix...
          var regPARMS = /(?:\{|\[\:)\w+(?:\}|\])/;
          var optStr = entry.Inputs[each].def.value.split(regTERMS);
          if (optStr[0]) {
            tmpTerms = tmpTerms.split(optStr[0])[1];
            //Bug fix...
            if (regPARMS.test(optStr[0]))
              optStr[0] = "";
          }
          if (optStr[1]) {
            tmpTerms = tmpTerms.split(optStr[1])[0];
            //Bug fix...
            if (regPARMS.test(optStr[1]))
              optStr[1] = "";
          }
          for (var k = 0; k < optStr.length; k++) {
            if (optStr[k] && !isAsciiQueryStr(optStr[k]))
              optStr[k] = cnv.ConvertAndEscape(entry.qcharset, optStr[k]);
          }
          //bug fix patch for {searchTerms} with option strings
          //QueryHash[each] = cnv.ConvertAndEscape(entry.qcharset, QueryHash[each]);
          tmpTerms = cnv.ConvertAndEscape(entry.qcharset, tmpTerms);
          QueryHash[each] = optStr[0] + tmpTerms + optStr[1];
        }
        //bug fix patch for {searchTerms} with option strings
        if (!isAsciiQueryStr(QueryHash[each])){
          var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
            getService(Components.interfaces.nsITextToSubURI);
          QueryHash[each] = cnv.ConvertAndEscape(entry.qcharset, QueryHash[each]);
        }
        //EOf patch
        //Shadow912: convert SPC to percent encoding
        if (each == QueryTermsName && entry.cnvSpcToPEnc) {
          QueryHash[each] = QueryHash[each].replace(/\+/g, "%20");
        }
        //EOf patch
        if (firstpass){
          cqrurl = cqrurl + "?" + each + "=" + QueryHash[each];
          firstpass = false;
        } else {
          cqrurl = cqrurl + "&" + each + "=" + QueryHash[each];
        }
      }
      newBrowser.loadURI(cqrurl);
      resetenv();
      return;
    }
    //Eof patch
    
    try{
      var sbmt = null;
      var frm = doc.createElementNS("http://www.w3.org/1999/xhtml", "form");
      frm.setAttribute("name", "cqrform");
      if (entry.Action){
        frm.setAttribute("action", cqrAction);
      } else {
        frm.setAttribute("action", entry.Action);
      }
      frm.setAttribute("method", entry.Method);
      frm.setAttribute("style", "display: none;");
      frm.setAttribute("accept-charset", entry.qcharset);
      if (cqrMailFlag) frm.setAttribute("target", "_blank");
      for (each in QueryHash){
          // we should be aware of <input name="submit"> :))
          if (each == "submit"){
              sbmt = doc.createElementNS("http://www.w3.org/1999/xhtml", "input");
              sbmt.setAttribute("type", "submit");
              sbmt.setAttribute("name", each);
              //Shadow912: patch for query strings of URI, RFC 3986
              //dont work well, auto escaping in createElementNS ?
              //sbmt.setAttribute("value", unescape(QueryHash[each]));
              sbmt.setAttribute("value", QueryHash[each]);
              //EOf patch
              frm.appendChild(sbmt);
              continue;
          }
          var inp = doc.createElementNS("http://www.w3.org/1999/xhtml", "input");
          inp.setAttribute("type", "hidden");
          inp.setAttribute("name", each);
          //Shadow912: patch for query strings of URI, RFC 3986
          //dont work well, auto escaping in createElementNS ?
          //inp.setAttribute("value", unescape(QueryHash[each]));
          inp.setAttribute("value", QueryHash[each]);
          //EOf patch
          frm.appendChild(inp);
      }
      doc.documentElement.appendChild(frm);
      //Shadow912: patch for bugzilla@mozdev, bug #18306
      //frm.submit.click() is not defined..., what's THIS !?
      //if (sbmt!=null){
      //    frm.submit.click();
      //} else {
          frm.submit();
      //}
      //Eof patch
    } catch(er){cqrLog.err(er, "formIt sub")}
    resetenv();    
}

function PrepareAction(EntryObj, ctrl){
try{
    var showTuneUpDialog = false;
    var regTERMS = /\{searchTerms\}|(?:\{|\[\:)selection(?:\}|\])/;

    if (ctrl) showTuneUpDialog = true;
    cqrAction = cqrCoUnits.process_all(EntryObj.Action, EntryObj);
    //Shadow912: patch for PATH_INFO format URL & strings of URI, RFC 3986
    //Shadow912: patch for InputEncoding/queryCharset
    for (var j in EntryObj.PathInfo) {
      PathArray[j] = cqrCoUnits.process_all(EntryObj.PathInfo[j].path, EntryObj, EntryObj.PathInfo[j]);
      //this hard coding is toooo dirty...
      //bug fix patch for {searchTerms} with option strings
      //if (EntryObj.PathInfo[j].dpath == "{searchTerms}" ||
      //    EntryObj.PathInfo[j].dpath == "{selection}" ||
      //    EntryObj.PathInfo[j].dpath == "[:selection]"){
      if (regTERMS.test(EntryObj.PathInfo[j].dpath)) {
        QueryPathIndex = j;
      }
      if (cqrCoUnits.tuneupRequired) showTuneUpDialog = true;
    }
    //Eof patch
    for (j in EntryObj.Inputs){
        QueryHash[EntryObj.Inputs[j].def.name] = cqrCoUnits.process_all(EntryObj.Inputs[j].def.value, EntryObj, EntryObj.Inputs[j]);
        //Shadow912: patch for query strings of URI, RFC 3986
        //this hard coding is toooo dirty...
        //bug fix patch for {searchTerms} with option strings
        //if (EntryObj.Inputs[j].def.value == "{searchTerms}" ||
        //    EntryObj.Inputs[j].def.value == "{selection}" ||
        //    EntryObj.Inputs[j].def.value == "[:selection]"){
        if (regTERMS.test(EntryObj.Inputs[j].def.value)) {
          QueryTermsName = EntryObj.Inputs[j].def.name;
        }
        //EOf patch
        if (cqrCoUnits.tuneupRequired) showTuneUpDialog = true;
    }

    if (showTuneUpDialog) window.openDialog("chrome://conquery/content/list.xul","_blank", "centerscreen,chrome,modal,resizable=yes", EntryObj, cqrCoUnits);
    //WHAT's THIS !? comment outed by Shadow912
    //a=1;

    //Shadow912: patch for PATH_INFO format URL & strings of URI, RFC 3986
    //Shadow912: patch for InputEncoding/queryCharset
    for (j in PathArray) {
      //bug fix patch for {searchTerms} with option strings
      //if (j == QueryPathIndex || !isAsciiQueryStr(PathArray[j])){
      if (j == QueryPathIndex){
        var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
                  getService(Components.interfaces.nsITextToSubURI);
        //bug fix patch for {searchTerms} with option strings
        var tmpTerms = PathArray[j];
        //Bug fix...
        var regPARMS = /(?:\{|\[\:)\w+(?:\}|\])/;
        var optStr = EntryObj.PathInfo[j].dpath.split(regTERMS); 
        if (optStr[0]) {
          tmpTerms = tmpTerms.split(optStr[0])[1];
          //Bug fix...
          if (regPARMS.test(optStr[0]))
            optStr[0] = "";
        }
        if (optStr[1]) {
          tmpTerms = tmpTerms.split(optStr[1])[0];
          //Bug fix...
          if (regPARMS.test(optStr[1]))
            optStr[1] = "";
        }
        for (var k = 0; k < optStr.length; k++) {
          if (optStr[k] && !isAsciiQueryStr(optStr[k]))
            optStr[k] = cnv.ConvertAndEscape(EntryObj.qcharset, optStr[k]);
        }
        //bug fix patch for {searchTerms} with option strings
        //PathArray[j] = cnv.ConvertAndEscape(EntryObj.qcharset, PathArray[j]);
        tmpTerms = cnv.ConvertAndEscape(EntryObj.qcharset, tmpTerms);
        PathArray[j] = optStr[0] + tmpTerms + optStr[1];
      }
      //bug fix patch for {searchTerms} with option strings
      if (!isAsciiQueryStr(PathArray[j])){
        var cnv = Components.classes["@mozilla.org/intl/texttosuburi;1"].
                  getService(Components.interfaces.nsITextToSubURI);
        PathArray[j] = cnv.ConvertAndEscape(EntryObj.qcharset, PathArray[j]);
      }
      //Shadow912: convert SPC to percent encoding
      if (j == QueryPathIndex && EntryObj.cnvSpcToPEnc) {
        PathArray[j] = PathArray[j].replace(/\+/g, "%20");
      }
      //EOf patch
    }
    //Eof patch
}catch(er){cqrLog.err(er, "PrepareAction sub")}
}

function OpenCfgDialog(){
    window.openDialog("chrome://conquery/content/conquery-pref.xul", cqrMess.GetStringFromName('cqr.cfg.wTitle'), "centerscreen,chrome,modal,resizable=yes");
  if (cqrConfigLastWillId){
    ProcessEntry(cqrConfigLastWillCtrl, cqrConfigLastWillId);
    cqrConfigLastWillId = "";
  }
}

function evalContext(entryObj){
    if (entryObj.showif == "") return false;
    
    var res = new Object;
    var trg = cqrCoUnits.process_all(entryObj.sitarget, entryObj);
    cqrShowAlternatives=false;
    res = entryObj.si_compiled.exec(trg);
    entryObj.si_compiled.lastIndex=0;
    if (res){
        cqrFS.cachedItems[entryObj.id].lastmatch = res;
        //show("Matched values for " + cqrFS.cachedItems[entryObj.id].Title + ":");
        //for (var each in res) show(each + ": " + res[each]);
        return true;
    } else {
        cqrFS.cachedItems[entryObj.id].lastmatch = [];
        cqrFS.cachedItems[entryObj.id].lastmatch[0] = trg;
        return false;
    }
}

function getPageParams(event){
    for (var CoUnit in cqrCoUnits.general){
        cqrCoUnits.general[CoUnit].preprocess(event);
    }
    //Shadow912: patch for multi search site query
    cqrSelStrForMulti = cqrCoUnits.general["searchterms"].preResult;
    //Eof patch
    return;
    //cqrCurPageCharset = cqr_browser.documentCharsetInfo;
    //var atomService = Components.classes['@mozilla.org/atom-service;1'].getService(Components.interfaces.nsIAtomService);
    
    //show("this doc sharset >>>" + focusedWindow.document.characterSet);
    
    //show("pchar>>>"+atomService.getAtom(gBrowser.documentCharsetInfo.parentCharset).toString());
    //show("fchar>>>"+atomService.getAtom(gBrowser.documentCharsetInfo.forcedCharset).toString());
    //show("bchar>>>" + cqrNavigatorDefaultCharset);
}

function cqrFindParentNode(node, parentNode)
{
  //borrowed from:
  //toolkit.jar:content\help\help.js
  var new_node = node;
  if (new_node && new_node.nodeType == Node.TEXT_NODE) {
    new_node = new_node.parentNode;
  }
  while (new_node) {
    if (new_node.nodeType == Node.DOCUMENT_NODE) {
      return "";
    }
    var nodeName = new_node.localName;
    if (!nodeName) return "";
    nodeName = nodeName.toLowerCase();
    if (nodeName == "body" || nodeName == "html") {
      return "";
    }
    if (nodeName == parentNode)
      return new_node;
      new_node = new_node.parentNode;
  }
  return "";
}

function resetenv(){
    QueryHash = new Object();
    //Shadow912: patched for PATH_INFO format URL
    PathArray = new Object();
    //Eof patch
    cqrOpenTarget = null;
    //cqrPageSelection = "";
    //cqrPageURL = "";
    //cqrPageHost = "";
    //cqrLinkURL = "";
    //cqrImgName = "";
    //cqrImgURL = "";
    //cqrPageTitle = "";
    //cqrPageSource = "";
    cqrAction = "";
    cqrConfigLastWillId = "";
    cqrConfigLastWillCtrl = false;
    cqrShowAlternatives = false;
    cqrcancel = false;
    cqrTabRef = "";
    cqrWndRef = "";
    //cqrClipboardText = "";
    //cqrCurPageCharset = "";
    //Shadow912: patch for query strings of URI, RFC 3986
    QueryTermsName = "";
    //EOf patch
    //Shadow912: patched for PATH_INFO & strings of URI, RFC 3986
    QueryPathIndex = null;
    //Eof patch
    //Shadow912: patch for multi search site query
    cqrSelStrForMulti = "";
    //Eof patch
}

//Shadow912: patch for multi search site query
function cqrMultiQuery(dirId, ctrlKey) {
  var entries = cqrFS.getIndexedDirEntries(dirId);
  var searchEngines = "";
  var ival = 0;
  const INTERVAL = 500; //this value is as is for Fx 2

  var firstEng = true;
  for (var entry in entries) {
    var item = entries[entry];  //cqrItemClass Object
    if (item.isDir || !item.ShowInMenu) continue;
    if (firstEng) {
      searchEngines += item.Title;
      firstEng = false;
    } else {
      searchEngines += ", " + item.Title;
    }
  }

  if (!cqrSelStrForMulti || ctrlKey) {
    var prmretVal = { minwidth: cqrEnv.QueryConfigWidth, maxwidth: '500px',
                      engs: searchEngines, prm: cqrSelStrForMulti,
                      trgt: cqrEnv.OpenRes, trgm: cqrEnv.OpenResMulti,
                      ret: null };
    window.openDialog('chrome://conquery/content/cfgmultiquery.xul',
                      '', 'chrome,dialog,modal,centerscreen,resizable',
                      prmretVal);
    if (!prmretVal.ret) return;
    cqrCoUnits.general["selection"].preResult = prmretVal.ret;
    cqrCoUnits.general["searchterms"].preResult = prmretVal.ret;
    cqrEnv.OpenResMulti = prmretVal.trgm;
    cqrPref.saveMain();
  }

  for (entry in entries) {
    item = entries[entry];  //cqrItemClass Object
    if (item.isDir || !item.ShowInMenu) continue;
    //psudo sleep timer because ProcessEntry use setTimeout()
    //window.setTimeout('ProcessEntry(false, "'+item.id+'");', ival);
    window.setTimeout(ProcessEntry, ival, false, item.id, true);
    //ProcessEntry(false, item.id);
    ival += INTERVAL;
  }
  //get target tab from array and clear Multi Query flag from tab
  if (!cqrMailFlag && (cqrEnv.OpenResMulti == 'tab_bg' ||
                       cqrEnv.OpenResMulti == 'tab_fg')) {
    for (var i = 0; i = cqrOpenTargetArray.length; i++) {
      delete cqrOpenTargetArray.pop().cqrMultiQuery;
    }
  }
}
//Eof patch

//Shadow912: recursive hidePopup() to root context popup menu
//ad-hoc...
function recursiveHidePopup(node) {
  const FXCAMID = "contentAreaContextMenu";
  const TBMPMID = "messagePaneContext";
  const TBMCMID = "msgComposeContext";
  const SMXXMID = "editorContentContext";
  var cNode = node;
  do {
    var pNode = cNode.parentNode; //Node Name is popup or menupopup
    var pNodeId = pNode.id;
    cNode = pNode.parentNode;  //Node Name is menu or else
    pNode.hidePopup();
  } while (pNodeId != FXCAMID && pNodeId != TBMPMID &&
           pNodeId != TBMCMID && pNodeId != SMXXMID);
}
//Eof patch

cqrLog.info('Loaded in ' + cqrTimer.stop('load') + ': ' + cqrLog.stat());
